Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.wc.xml
Class SVNXMLLogHandler

    java.lang.Object
      org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
          org.tmatesoft.svn.core.wc.xml.SVNXMLLogHandler

All Implemented Interfaces:
  ISVNLogEntryHandler

public class SVNXMLLogHandler
extends AbstractXMLHandler
implements ISVNLogEntryHandler

This log handler implementation writes xml formatted information about the log entries it's passed to a specified ContentHandler.

Version:
  1.0
Author:
  TMate Software Ltd.

Field Summary
`static String` | `ACTION_ATTR`
`static String` | `AUTHOR_TAG`
`static String` | `COPYFROM_PATH_ATTR`
`static String` | `COPYFROM_REV_ATTR`
`static String` | `DATE_TAG`
`static String` | `LOG_TAG`
`static String` | `LOGENTRY_TAG`
`static String` | `MSG_TAG`
`static String` | `PATH_TAG`
`static String` | `PATHS_TAG`
`static String` | `REVISION_ATTR`

Constructor Summary
`SVNXMLLogHandler(ContentHandler contentHandler)` Creates a new log handler.

Method Summary
`String` | `getHeaderName()` Returns the header name specific for a log handler.
`void` | `handleLogEntry(SVNLogEntry logEntry)` Handles a log entry passed.

Methods inherited from class org.tmatesoft.svn.core.wc.xml.AbstractXMLHandler
`addAttribute, addTag, closeTag, endDocument, openTag, startDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COPYFROM_REV_ATTR

    public static final String COPYFROM_REV_ATTR

See Also:
  Constant Field Values

### COPYFROM_PATH_ATTR

    public static final String COPYFROM_PATH_ATTR

See Also:
  Constant Field Values

### ACTION_ATTR

    public static final String ACTION_ATTR

See Also:
  Constant Field Values

### REVISION_ATTR

    public static final String REVISION_ATTR

See Also:
  Constant Field Values

### MSG_TAG

    public static final String MSG_TAG

See Also:
  Constant Field Values

### PATH_TAG

    public static final String PATH_TAG

See Also:
  Constant Field Values

### PATHS_TAG

    public static final String PATHS_TAG

See Also:
  Constant Field Values

### DATE_TAG

    public static final String DATE_TAG

See Also:
  Constant Field Values

### AUTHOR_TAG

    public static final String AUTHOR_TAG

See Also:
  Constant Field Values

### LOGENTRY_TAG

    public static final String LOGENTRY_TAG

See Also:
  Constant Field Values

### LOG_TAG

    public static final String LOG_TAG

See Also:
  Constant Field Values

Constructor Detail

### SVNXMLLogHandler

    public SVNXMLLogHandler(ContentHandler contentHandler)

  Creates a new log handler.

Parameters:
  `contentHandler` - a ContentHandler to form an XML tree

Method Detail

### getHeaderName

    public String getHeaderName()

  Returns the header name specific for a log handler.

  Specified by:
    `getHeaderName` in class `AbstractXMLHandler`
  Returns:
    `LOG_TAG` string

### handleLogEntry

    public void handleLogEntry(SVNLogEntry logEntry)
                        throws SVNException

  Description copied from interface: `ISVNLogEntryHandler`
  Handles a log entry passed.

  Specified by:
    `handleLogEntry` in interface `ISVNLogEntryHandler`
  Parameters:
    `logEntry` - an `SVNLogEntry` object that represents per revision information (committed paths, log message, etc.)
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.